---
updatedAt: 2025-06-12T20:23:46.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Update Challenge Details by Event Challenge ID

This API is used to update challenge details using the event challenge ID. 

This API can be used by admins and super admins to update challenge details. User can use this api to update challenge detail related to it like area, name, description, startDate, endDate, action, startDateUtc, endDateUtc, eventChallengeId, gamificationTabDisabled and other details.

To call this API, users have to pass query parameters with API URL like challenge details, eventChallengeDetailId and authentication key to authenticate user.

This API is used at the host side.

Here is the description of response attributes, which returns to the form of JSON.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Attribute
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        **type** 
      </td>

      <td style={{ textAlign: "left" }}>
        This field returns type of message like success or error.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **message** 
      </td>

      <td style={{ textAlign: "left" }}>
        This field returns a message description.
      </td>
    </tr>
  </tbody>
</Table>

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        400
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource.
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/host/event/{eventUrl}/challenge/{id}": {
      "put": {
        "summary": "Update Challenge Details by Event Challenge ID",
        "description": "This API is used to update challenge details using the event challenge ID. \n\nThis API can be used by admins and super admins to update challenge details. User can use this api to update challenge detail related to it like area, name, description, startDate, endDate, action, startDateUtc, endDateUtc, eventChallengeId, gamificationTabDisabled and other details.\n\nTo call this API, users have to pass query parameters with API URL like challenge details, eventChallengeDetailId and authentication key to authenticate user.\n\nThis API is used at the host side.",
        "operationId": "update-challenge-details-by-event-challenge-id",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authentication Token",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "pass event challenge detail id required.",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "eventChallengeDTO": {
                    "type": "object",
                    "description": "Update Challenge Details by Event Challenge Id",
                    "properties": {
                      "eventChallengeId": {
                        "type": "integer",
                        "description": "It's contains the event challenge Id.",
                        "format": "int64"
                      },
                      "name": {
                        "type": "string",
                        "description": "It's contains the challenge name. Only 255 Characters are allowed"
                      },
                      "description": {
                        "type": "string",
                        "description": "It's contains the challenge description. Only 65535 Characters are allowed."
                      },
                      "type": {
                        "type": "string",
                        "description": "It's contains the challenge type. It will return either STANDARD, EARLY_BIRD, SCAVENGER_HUNT.",
                        "enum": [
                          "STANDARD",
                          "EARLY_BIRD",
                          "SCAVENGER_HUNT"
                        ]
                      },
                      "area": {
                        "type": "string",
                        "description": "It's conatins the area of the challlenge. It will return either Expo, Sessions and Networking."
                      },
                      "action": {
                        "type": "array",
                        "description": "It's contains the action of the challenge.  If select Expo area to pass this type of action like Visit, Chat, Watch, Link Click, Document Download, Request Meeting or All. If select Sessions area to pass this type of action like Watch, Visit or All. If select Networking area to pass this type of action like Matches, Connections or All.",
                        "items": {
                          "properties": {
                            "name": {
                              "type": "string",
                              "description": "It's contains the name of action"
                            },
                            "point": {
                              "type": "string",
                              "description": "It's contains the point of action."
                            },
                            "+": {
                              "type": "array",
                              "description": "if required more action to click the + icon.",
                              "default": [],
                              "items": {
                                "type": "string"
                              }
                            }
                          },
                          "type": "object"
                        }
                      },
                      "trigger": {
                        "type": "array",
                        "description": "It's contains trigger of the challenge. If select Expo area to pass this type of action like exhibitor and category or All. If select Sessions area to pass this type of action like main_stage, breakout_session, workshop or All. If select Networking area to pass this type of action like Networking or All.",
                        "items": {
                          "properties": {
                            "name": {
                              "type": "string",
                              "description": "It's contains the name of trigger."
                            },
                            "ids": {
                              "type": "array",
                              "description": "List of trigger ids.",
                              "default": [],
                              "items": {
                                "type": "integer",
                                "format": "int64"
                              }
                            }
                          },
                          "type": "object"
                        }
                      },
                      "startDate": {
                        "type": "string",
                        "description": "It's contains the challenge start date in yyyy/MM/dd HH:mm format."
                      },
                      "endDate": {
                        "type": "string",
                        "description": "It's contains the challenge end date in yyyy/MM/dd HH:mm format"
                      },
                      "goal": {
                        "type": "integer",
                        "description": "It's contains the challenge goal points.",
                        "format": "int32"
                      },
                      "ticketTypeAllowInChallenge": {
                        "type": "array",
                        "description": "It's contains the ticket type allow in challenge. It will return list of ticket type id.",
                        "items": {
                          "type": "integer",
                          "format": "int64"
                        }
                      },
                      "gamificationTabDisabled": {
                        "type": "boolean",
                        "description": "It's contains the gamification tab enabled or disabled in virtual event hub."
                      },
                      "startDateUtc": {
                        "type": "string",
                        "description": "It's contains the start date UTC format.",
                        "format": "date"
                      },
                      "endDateUtc": {
                        "type": "string",
                        "description": "It's contains the end date UTC format.",
                        "format": "date"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"message\": \"string\",\n  \"type\": \"string\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "string"
                    },
                    "type": {
                      "type": "string",
                      "example": "string"
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```